@font-face {
  font-family: 'icomoon';
  src:  url('../fonts/icomoon.eot?y28wjv');
  src:  url('../fonts/icomoon.eot?y28wjv#iefix') format('embedded-opentype'),
  url('../fonts/icomoon.ttf?y28wjv') format('truetype'),
  url('../fonts/icomoon.woff?y28wjv') format('woff'),
  url('../fonts/icomoon.svg?y28wjv#icomoon') format('svg');
  font-weight: normal;
  font-style: normal;
}

@import "vendors/bootstrap/functions";
@import "vendors/bootstrap/variables";
@import "vendors/bootstrap/mixins";
@import 'vendors/_slick';
@import 'vendors/icomoon';
@import 'base/functions';
@import 'base/mixins';
@import 'bootstrap-custom';

html {
  font-size: 16px;

  @media (max-width: 540px) {
	font-size: 14px;
  }
}

a {
  text-decoration: none;
  &:active, &:hover, &:focus {
	text-decoration: none;
  }
}

button, a {
  &:active, &:hover, &:focus {
	outline: 0;
	outline-offset: 0;
	box-shadow: none;
  }
}

.wrapper {
  overflow: hidden;
}

.input-error{
  color: red!important;
  border: 2px solid red!important;
  box-shadow: 2px 2px 5px 0px rgba(226,69,69,1)!important;
  text-decoration: line-through!important;
}

.incorrect{
  &:after{
	right: 50%;
	transform: translateX(50%);
	position: absolute;
	bottom: -1.2rem;
	content: 'wrong data!!!';
	color: red!important;
	font: 700 $footer-font $Montserrat;
  }
}

.header-content-wrapper {
  padding: 3rem 0 3.1rem;
}

h1 {
  font: 700 $header-main-font $Montserrat;
  color: $red;

  .paint-it-black {
	color: $gray-900;
  }

  .subheader {
	display: block;
	font: 400 $subheader-main-font $Montserrat;
	text-transform: uppercase;
	color: $gray-800;
	letter-spacing: 10px;
  }

  &:after {
	position: absolute;
	top: 1.7rem;
	content: "";
	display: block;
	height: .1875rem;
	width: .5625rem;
	background-color: $red;
  }
}

.main-navbar {
  width: 60vw;
  z-index: 2;
  @media (max-width: 991px) {
	position: absolute;
	background: $white;
	border: 1px solid $gray-500;
	border-radius: 5px;
	top: 3.2rem;

	.nav-item {
	  border-bottom: 1px solid $gray-500;
	}

	.nav-link {
	  line-height: 4;
	}

	.icon-search {
	  line-height: 3;

	  &:after {
		font: 700 $buy-button-font $Montserrat;
		margin-left: 1rem;
		text-transform: uppercase;
		content: 'product search';
	  }
	}
  }
  @media (max-width: 450px) {
	width: 70vw;
  }
}

.search-btn {
  border: none;
  padding: 0 .5rem;
}

.active-search {
	color: $red;
	font-size: 1.5rem;
	transition: font-size 1s;
}

.buy-button {
  font: 700 $buy-button-font $Montserrat;
  color: $gray-800;
  padding: 0 1.8rem 0 .5rem;
  margin-right: .5rem;
}

.sum-price {
  line-height: 2.5;
}

.products-counter {
  top: 50%;
  font-size: .686rem;
  border: 2px solid $white;
  color: $white;
  background-color: $black;
  border-radius: 50%;
  right: 0;
  transform: translate(50%, -50%);
  line-height: 2;
  padding: 0 .5rem;
}

//main

.page-header {
  background-size: cover !important;
  background: url("../images/main-header-bg.png") no-repeat 50% 50%;
  text-transform: uppercase;
  padding: 4rem 0 3.2rem;
}

h2 {
  font: 700 $page-header-font $Montserrat;
  color: $gray-900;
  margin: 0;
  letter-spacing: -1px;
}

.product-list-section {
  padding: 3rem 0 5.8rem;
}

.clearlist-wrapper {
  margin-bottom: 1.9rem;
  height: 3rem;
}

.product-search {
  display: none;
}

.clearlist-btn {
  text-transform: uppercase;
  font: 400 $breadcrumb-font $Montserrat;
  color: $gray-800;
  padding: 0 1.5rem;
  line-height: 2.8;
}

.disabled {
  background-color: rgba(150, 150, 150, .5);
}

.products-wrapper {
  padding-bottom: 4.8rem;
  margin: 0 -30px -3.2rem;
}

.product-wrapper {
  margin-bottom: 3.2rem;
}

.product-container {
  height: 23.4375rem;

  .hidden-product-content {
	top: 0;
	display: none;
	padding-top: 6.5625rem;
  }

  &:hover {
	background-color: $gray-100;

	.hidden-product-content {
	  display: block;
	  background-color: rgba(0, 0, 0, 0.8);
	}

	.product-information {
	  &:before {
		display: none;
	  }
	}
  }
}

.product-img-wrapper {
  padding: 1.8125rem 0;
  height: 66%;
}

.product-information {
  padding-top: 1.3rem;
  &:before {
	content: "";
	display: block;
	height: .1875rem;
	width: .5625rem;
	background-color: $red;
	top: 0;
	position: absolute;
	left: 50%;
	transform: translateX(-50%);
  }
}

.product {

  &-name-container {
	font: 700 $product-name-font $Montserrat;
	color: $gray-900;
	margin-bottom: .3rem;
  }

  &-price-container {
	font: 700 $product-price-font $Montserrat;
	color: $red;
	margin-bottom: 1.6rem;
  }
}

.product-old-price-value {
  font: 700 $product-name-font $Montserrat;
  color: $gray-700;
  text-decoration: line-through;
}

.product-actions-wrapper {

  button {
	padding: .4rem .7rem;
	border: 1px solid $gray-200;

	&:hover {
	  background-color: $red;

	  .button-icon {
		color: $white;
	  }
	}
  }
}

.button-icon {
  color: $gray-800;
}

.pagination {

  li {
	margin-right: .4rem;
	border: 2px solid $gray-400;
  }

  .active {
	border-color: $gray-800;

	.page {
	  color: $red;
	}
  }

  .page {
	font: 700 $breadcrumb-font $Montserrat;
	color: $gray-700;
	display: block;
	padding: 0 .65rem;
	line-height: 2.5;
  }
}

//slider

.features-section {
  padding: 6rem 0 6.3rem;
  border-width: 2px;
}

.slider {
  padding: 2rem 2rem 0;
  width: 97%;
  margin: 0 auto;
  top: -.5rem;
  overflow: hidden;

  @media (max-width: 768px) {
	padding: 2rem 1rem 0;
  }
}

.slider-item {
  padding-bottom: 2.5rem;

  &:after {
	position: absolute;
	bottom: 1.75rem;
	left: 3rem;
	content: "";
	display: block;
	height: .125rem;
	width: .75rem;
	background-color: $gray-900;
	z-index: 2;
  }
}

.slide-icon {
  font-size: $icon-font;
  margin-right: 1rem;
}

.slide-header {
  font: 700 $product-price-font $Montserrat;
  text-transform: uppercase;
  color: $gray-900;
  margin-bottom: .5rem;
}

.slide-text {
  font: 400 $breadcrumb-font $Montserrat;
  color: $gray-800;
}

.footer-feedback-section {
  padding: 4.5rem 0 4.5rem;
  font: 400 $product-name-font $Montserrat;
  color: $gray-800;
  text-transform: uppercase;
  background-color: $gray-100;
}

.feedback-desc {
  padding-top: .3rem;
  max-width: 17.5rem;
  @media (max-width: 996px) {
	max-width: 90vw;
  }
}

.user-email {
  font: 400 $product-price-font $Montserrat;
  color: $gray-900;
  padding-left: 1.3125rem;
  background-color: inherit;

  &::placeholder {
	font-size: $footer-font;
	color: $gray-700;
	text-transform: uppercase;
  }
}

.send-addr {
  background-color: inherit;
  line-height: 0;
  right: 0;
  margin-top: .7rem;
  z-index: 1000;
}

.icon-envelope-of-white-paper {
  color: $gray-600;
}

.socials {
  font-size: 0;
}

.social-item {
  border: 1px solid $gray-500;
  border-right: none;
  height: 3rem;
  width: 3.25rem;
  font-size: $breadcrumb-font;

  &:last-child {
	border-right: 1px solid $gray-500;
  }

  &:hover {
	background-color: $red;

	a {
	  color: $gray-100;
	}
  }
}

.social-icon {
  line-height: 4;
}

.footer-info-section {
  text-transform: uppercase;
  font: 400 $footer-font $Montserrat;
  color: $gray-700;
  background-color: $gray-300;
  padding: 2rem 0;

  .footer-company-name {
	color: $gray-800;
  }
}

.copyright {
  padding-top: .5rem;
}

.credit-list {

  li {
	margin-right: .45rem;
	&:last-child {
	  margin-right: 0;
	}
	@media (max-width: 400px) {
	  margin-right: 0;
	}
  }
}

